Subject: bug#52294: 28.0.90; Large delay between clicking tool-bar item and it displaying as depressed

From: Eli Zaretskii <[email-masked]>
Date: Mon, 06 Dec 2021 15:57:43 +0200

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 06 Dec 2021 21:26:36 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Can you try Emacs 27 on those systems?  I don't currently have Emacs
> > 28 on any Windows 10 box to which I have access, and it doesn't happen
> > with Emacs 27 there.
> 
> It works with Emacs 27.2.

Which you compiled?  Or someone else?

Anyway, I'm surprised that this could be somehow due to Emacs's code.
The MS-Windows implementation of the tool bar is entirely within
Emacs, so maybe profiling that could give some ideas?